$previewbutton-size: 50px !default;
.video-preview {
    position: relative;
    display: inline-block;
    &:after {
        font-family: 'proxicon' !important;
        content: "\e923";
        color: $primary-color;
        position: absolute;
        top: 50%;
        left: 50%;
        font-size: $previewbutton-size;
        line-height: 1;
        margin-top: $previewbutton-size * -0.5;
        margin-left: $previewbutton-size * -0.5;
        transition: color 1.8s;
        //prevent that graphic blocks link functionality
        pointer-events: none;
    }
    &:before {
        position: absolute;
        content: " ";
        background-color: rgba(0, 0, 0, 0);
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        transition: background-color 1.8s;
        //prevent that graphic blocks link functionality
        pointer-events: none;
    }
    &:hover,
    &:focus {
        transition: background-color .8s;
        cursor: pointer;
        &:after {
            color: $secondary-color;
            transition: color .5s;
        }
        &:before {
            background-color: rgba(0, 0, 0, 0.05);
            transition: background-color 1.0s;
            //prevent that graphic blocks link functionality
            pointer-events: none;
        }
    }
}